.event-boxes-block {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: var(--wp--preset--spacing--20);
    max-width: none !important;
}

.event-boxes-block .event-tile {
    padding: var(--wp--preset--spacing--20) var(--wp--preset--spacing--60) var(--wp--preset--spacing--20) var(--wp--preset--spacing--20);
    background-color: var(--wp--preset--color--background-1);
    border-radius: 20px;
    display: flex;
    align-items: center;
    gap: var(--wp--preset--spacing--80);
    color: inherit;
    text-decoration: none;
}

.event-boxes-block .event-image {
    overflow: hidden;
    transition: box-shadow .3s ease, transform .3s ease;
}

.event-boxes-block .event-image,
.event-boxes-block .event-image-wrapper {
    width: 100%;
    height: auto;
    aspect-ratio: 437 / 500;
    border-radius: 20px;
    background-repeat: no-repeat;
    background-size: cover;
    max-width: 440px;
    padding: var(--wp--preset--spacing--60);
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative;
    z-index: 1;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    text-decoration: none;
}

.event-boxes-block .event-image-wrapper {
    position: absolute;
    transition: transform 1s ease;
    top: 0;
    left: 0;
}

.event-boxes-block .event-image:hover {
    transform: scale(1.03);
    box-shadow: 0 50px 80px 0 rgba(17, 15, 14, 0.10);
}

.event-boxes-block .event-image-wrapper::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.05) 0%, rgba(0, 0, 0, 1) 100%), linear-gradient(142deg, rgba(124, 228, 158, 1) 0%, rgba(228, 219, 85, 1) 100%);
    z-index: 0;
    border-radius: 20px;
    mix-blend-mode: multiply;
    opacity: 0.8;
}

.event-boxes-block .event-image.has-background-1-background-color .event-image-wrapper::before {
    display: none !important;
}

.event-boxes-block .event-image.has-background-1-background-color span {
    color: var(--wp--preset--color--foreground-1) !important;
}

.event-boxes-block .event-image.has-background-1-background-color .is-style-primary-outline > .wp-element-button {
    color: var(--wp--preset--color--foreground-1) !important;
}

.event-boxes-block .event-image.has-background-1-background-color .promo-text {
    color: var(--wp--preset--color--foreground-4) !important;
}

.event-boxes-block .event-image>* {
    z-index: 4;
}

.event-boxes-block .event-image span {
    color: var(--wp--preset--color--background-1);
}

.event-boxes-block .event-image hr {
    width: 70px;
    opacity: 0.5;
    border-color: var(--wp--preset--color--background-4);
    margin: var(--wp--preset--spacing--40) auto;
}

.event-boxes-block .event-date-wrapper {
    display: flex;
    flex-direction: column;
    gap: 6px;
}

.event-boxes-block .event-date-days {
    font-size: var(--wp--preset--font-size--xx-large);
    font-weight: 700;
    line-height: 1.1;
    letter-spacing: -2.4px;
}

.event-boxes-block .event-date-meta {
    font-weight: 500;
    font-size: var(--wp--preset--font-size--medium);
    line-height: 1.6;
}

.event-boxes-block .event-meta-location {
    font-size: var(--wp--preset--font-size--large);
    font-weight: 700;
    text-transform: uppercase;
    line-height: 1.1;
    letter-spacing: -0.96px;
}

.event-boxes-block .wp-block-buttons {
    margin-top: var(--wp--preset--spacing--30);
}

@media (max-width:768px) {
    .event-boxes-block .tabs-nav {
        top: auto;
        position: relative;
        transform: none;
        margin: 1rem 0;
    }

    .event-boxes-block .event-image:hover {
        transform: scale(1);
        box-shadow: 0 50px 80px 0 rgba(17, 15, 14, 0.10);
    }
}

@media (max-width:850px) {
    .event-boxes-block .event-image,
    .event-boxes-block .event-image-wrapper{
        aspect-ratio: auto;
        min-height: 300px;
        max-width: 100%;
    }
}